summaryrefslogtreecommitdiff
path: root/docker-run.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2019-01-20 08:32:02 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2019-03-22 13:33:59 +0000
commit1c327bc84ac91ea8de468b4308bdf3042fe3276b (patch)
treeab08be0ff04864c2f0d645f41649e4afb4d3adaa /docker-run.sh
parent995625b86aed94c76d2533b5c671baba99005952 (diff)
tcwg_bmk-build.sh: Main support for tcwg_bmk
This patch updates tcwg_bmk-build.sh from the original copy of tcwg_kernel-build.sh, and adds a couple minor changes to docker-run.sh and tcwg-benchmark-results.sh. tcwg-benchmark*: Switch results server to bkp-01.tcwglab tcwg_bmk-build.sh: Use ABE's sysroot and binutils for LLVM's build round-robin.sh: Build LLVMgold.so plugin in build_llvm() for LTO Change-Id: Ibde7a9d004c8b3328cdd36333c14574934b1eeab
Diffstat (limited to 'docker-run.sh')
-rwxr-xr-xdocker-run.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/docker-run.sh b/docker-run.sh
index b1914333..de7f340a 100755
--- a/docker-run.sh
+++ b/docker-run.sh
@@ -1,14 +1,13 @@
#!/bin/bash
-set -ef -o pipefail
-
-qemu="${qemu-}"
-set -u
+set -euf -o pipefail
. $(dirname $0)/jenkins-helpers.sh
convert_args_to_variables "$@"
shift "$SHIFT_CONVERTED_ARGS"
+qemu="${qemu-}"
+
trap "container_cleanup" EXIT
case "$qemu" in